"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var chai_1 = require("chai");
var promise_grants_utils_1 = require("./promise-grants.utils");
var access_control_authorization_1 = require("../crud/access-control.authorization");
describe('[Promise Grants]', function () {
    function double(num1) {
        return num1 + num1;
    }
    function quad(num1) {
        return 4 * num1;
    }
    var permissionForUserMock = new access_control_authorization_1.Grant({ granted: true }, 'own', 'user');
    it('should return func if is granted for user', function () {
        var result = promise_grants_utils_1.ifGrantedForUser(permissionForUserMock, double)(4);
        chai_1.expect(result).to.be.equals(8);
    });
    it('should return identity if is granted for organization', function () {
        var result = promise_grants_utils_1.ifGrantedForOrganization(permissionForUserMock, double)(4);
        chai_1.expect(result).to.be.equals(4);
    });
});
